Bug 527158 - rpmlint: add mirrormanager user and group to OK list
Summary: rpmlint: add mirrormanager user and group to OK list
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: mirrormanager (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Matt Domsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-05 03:35 UTC by Matt Domsch
Modified: 2009-10-24 04:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-24 04:06:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2009-10-05 03:35:46 UTC
Description of problem:
The mirrormanager RPM will start calling useradd/groupadd per 
https://fedoraproject.org/wiki/Packaging:UsersAndGroups
for storing its content and execution.

rpmlint throws warnings:
mirrormanager.noarch: W: non-standard-uid /var/run/mirrormanager mirrormanager
mirrormanager.noarch: W: non-standard-gid /var/run/mirrormanager mirrormanager

I see adding it to the uidgid list in the setup package is the normal method for avoiding such.  Is there a better method for doing so I can put in mirrormanager?  If not, can rpmlint be extended to allow so?


Version-Release number of selected component (if applicable):
0.91

Comment 1 Ville Skyttä 2009-10-05 04:50:31 UTC
One way is to add let's say a /etc/rpmlint/mirrormanager.config file in the mirrormanager package (without a dependency on rpmlint, and with owning also the /etc/rpmlint dir) containing something like:

getOption("StandardUsers").append("mirrormanager")
getOption("StandardGroups").append("mirrormanager")

That'll obviously suppress the warning only when the file is in place, i.e. after mirrormanager has been installed.  In other cases, I'd personally just ignore the warning.  Would that work for you?

Comment 2 Matt Domsch 2009-10-07 04:08:02 UTC
Yes, thank you.  I've added an /etc/rpmlint/mirrormanger.config file as described to quiet the warnings.  Good enough.


Note You need to log in before you can comment on or make changes to this bug.